Subject: bug#8927: 24.0.50; Flaw in C-x v u

From: Romain Francoise <[email-masked]>
Date: Sun, 26 Jun 2011 11:32:40 +0200

Dan Nicolaescu <[email-masked]> writes:

> I strongly disagree with this change of a long standing behavior.

FWIW, me too.

> Showing the diff is an good visual aid in checking that the user indeed
> intends to revert that file.  It's not that hard to type C-x v u in the
> wrong window if one has many windows opened, and the files have similar
> names.

Yes. And if you use vc-dir, you may not have the file opened at all.

Also, it's not true that the diff buffer cannot be scrolled from the
yes-or-no prompt as Chong mentioned earlier in this thread,
`scroll-other-window' and `scroll-other-window-down' work as expected.